<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getCrimeChance](./bitburner.singularity.getcrimechance.md)

## Singularity.getCrimeChance() method

Get chance to successfully commit a crime.

**Signature:**

```typescript
getCrimeChance(crime: CrimeType): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

crime


</td><td>

[CrimeType](./bitburner.crimetype.md)


</td><td>

Name of crime.


</td></tr>
</tbody></table>

**Returns:**

number

Chance of success at committing the specified crime.

## Remarks

RAM cost: 5 GB \* 16/4/1

This function returns your chance of success at committing the specified crime.

